<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_legal_infos', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('user_id');
            $table->string('company_name');
            $table->string('inn');
            $table->string('bank_name');
            $table->string('mfo');
            $table->string('oked');
            $table->string('payment_account');
            $table->string('address');
            $table->string('email');
            $table->string('phone');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_legal_infos');
    }
};
